unit AddUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TAddForm = class(TForm)
    lbledtusername: TLabeledEdit;
    lbledtpass: TLabeledEdit;
    lbledtnickname: TLabeledEdit;
    lbledthead: TLabeledEdit;
    lbledtsex: TLabeledEdit;
    lbledtbirthday: TLabeledEdit;
    lbledtDepart: TLabeledEdit;
    lbledtJobType: TLabeledEdit;
    LbledtEdu: TLabeledEdit;
    lbledtPersonality: TLabeledEdit;
    lbledtPersonHobbie: TLabeledEdit;
    lbledtpersonsign: TLabeledEdit;
    lbledtemail: TLabeledEdit;
    mmoRemark: TMemo;
    lbledtphone: TLabeledEdit;
    btnOk: TBitBtn;
    btnCancel: TBitBtn;
    lbl1: TLabel;
    procedure btnOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AddForm: TAddForm;

implementation

{$R *.dfm}

procedure TAddForm.btnOkClick(Sender: TObject);
begin
if Trim(self.lbledtusername.Text)='' then
begin
  self.lbledtusername.SetFocus;
  showmessage('User name Must Input !');
  exit;
end;
self.ModalResult:=mrok;
end;

end.
